dnl $Id: aclocal.m4,v 1.5 1995/11/14 06:06:07 ceder Exp $
dnl Local extensions macros to Autoconf.
dnl Copyright (C) 1994, 1995  Per Cederqvist and Inge Wallin
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl
dnl
dnl
dnl Check if an option is acceptable to the C compiler in use
dnl
AC_DEFUN(KOM_COMPILER_CC_ACCEPTS,
[kom_safe=`echo "kom_cv_compiler_${CC}_accepts_$1" | tr '+./=\055' 'X____'`
AC_MSG_CHECKING([whether ${CC} accepts $1])
AC_CACHE_VAL($kom_safe,
[[kom_oldflags=$CFLAGS
CFLAGS="$CFLAGS $1"]
AC_TRY_LINK(,,
	[eval "$kom_safe=yes"],
	[eval "$kom_safe=no"])
[CFLAGS=$kom_oldflags]])dnl
AC_MSG_RESULT([`eval echo '$'$kom_safe`])
if test `eval echo '$'$kom_safe` = yes; then
  CFLAGS="$CFLAGS $1"
fi])dnl
dnl
dnl
dnl Check if an option is acceptable to the C++ compiler in use
dnl
AC_DEFUN(KOM_COMPILER_CXX_ACCEPTS,
[kom_safe=`echo "kom_cv_compiler_${CXX}_accepts_$1" | tr '+./=\055' 'X____'`
AC_MSG_CHECKING([whether ${CXX} accepts $1])
AC_CACHE_VAL($kom_safe,
[[kom_oldflags=$CXXFLAGS
CXXFLAGS="$CXXFLAGS $1"]
AC_TRY_LINK(,,
	[eval "$kom_safe=yes"],
	[eval "$kom_safe=no"])
[CXXFLAGS=$kom_oldflags]])dnl
AC_MSG_RESULT([`eval echo '$'$kom_safe`])
if test `eval echo '$'$kom_safe` = yes; then
  CXXFLAGS="$CXXFLAGS $1"
fi])dnl
dnl
dnl eof
