// Get conf_stat.
//
// $Id: 050get_conf_stat_q.cc,v 1.13 1995/11/14 06:06:26 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include <iostream.h>
#include <stdio.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "conf-stat.h"
#include "get_conf_stat_q.h"
#include "connection.h"
    
get_conf_stat_question::get_conf_stat_question(Connection *conn, 
					       Conf_no conf_no)
    : requested_conf_no(conf_no), the_conf(0), question(conn)
{
    prot_a_LyStr   b;

    assert(conf_no != 0);
    b << ref_no() << " 50 " << conf_no << '\n';
    port->send_question(b);
}


get_conf_stat_question::~get_conf_stat_question()
{
    if (the_conf != NULL)
	delete the_conf;
}


void
get_conf_stat_question::parser(prot_a_LyStr &str)
{
    the_conf = new Conf_stat(requested_conf_no, str);
    state = st_ok;
    deallocate_refno();
}


Conf_stat
get_conf_stat_question::result()
{
    assert(the_conf != NULL);
    return *the_conf;
}
