// Get membership-list.
//
// $Id: get_membership_list_q.h,v 1.6 1995/11/18 22:48:56 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_GET_MEMBERSHIP_LIST_Q_H
#define KOMXX_GET_MEMBERSHIP_LIST_Q_H

#include <SLList.h>
#include "kom-types.h"
#include "question.h"
#include "membership.h"

class Connection;
class LyStr;

// 46

class get_membership_list_question : public question {
  public:
    get_membership_list_question(Connection *conn, Pers_no pno, 
				 unsigned short first,
				 unsigned short no_of_confs,
				 bool want_read_texts);
    ~get_membership_list_question();
    void parser(prot_a_LyStr &str);
    SLList<Membership> result();
  private:
    SLList<Membership> list;
};

#endif
