// Get list of conferences which might contain unread texts.
//
// $Id: get_unread_confs_q.h,v 1.6 1995/11/14 00:35:06 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_GET_UNREAD_CONFS_Q_H
#define KOMXX_GET_UNREAD_CONFS_Q_H

#include "array.h"
#include "kom-types.h"
#include "question.h"

class Connection;
class LyStr;

// 52

class get_unread_confs_question : public question {
  public:
    get_unread_confs_question(Connection *conn, Pers_no pno);
    ~get_unread_confs_question();
    void parser(prot_a_LyStr &str);
    Array<Conf_no> result();
  private:
    Array<Conf_no> conf_no_list;
};

#endif
