// Bool, Status and similar simple types.
//
// $Id: misc.h,v 1.7 1995/11/18 22:37:23 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_MISC_H
#define KOMXX_MISC_H

// Status of something
enum Status {
    st_pending=1, st_ok, st_error
};

#ifndef HAVE_BOOL

#define true 1
#define false 0

class bool {
  public:
    bool() : b(0) {}
    bool(int x) : b(!!x) {}
    bool(const bool &x) : b(x.b) {}
    bool &operator =(const bool &x) { b = x.b; return *this; }
    operator int() const { return b; }
    
  private:
    char b;
};

#endif
#endif
