// String class with knowledge on protocol A.
//
// $Id: prot-a-LyStr.h,v 1.4 1995/11/14 00:35:24 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_PROT_A_LYSTR_H
#define KOMXX_PROT_A_LYSTR_H

#include "LyStr.h"

class prot_a_LyStr : public LyStr {
  public:
    prot_a_LyStr();
    prot_a_LyStr(const char *c_str);
    prot_a_LyStr(void *block, int len);
    prot_a_LyStr(const prot_a_LyStr &);
    prot_a_LyStr(const LyStr &);

    long  stol();		// Extract a number, ignoring leading spaces
    LyStr stos();		// Extract a hollerith string
    void append_hollerith(const LyStr &str); // Append as hollerith

    int    parse_array_start();
    void   parse_array_end(int arrsize);
    void   append_array_start(int arrsize);
    void   append_array_end();
};
  
#endif
