# A simple demo client for komxxmodule

import komxx
import string
import sys
import os

class demo_kom:
   def __init__(self):
      self.session = komxx.new_session("kom.lysator.liu.se", "4894")
      self.login()
      self.toploop()

   def login(self):
      while 1:
	 name = raw_input("Vad heter du? ")
	 if name == "":
	    print "Jag talar inte med folk som inte berttar vad de heter."
	    sys.exit(0)
	 matches = self.session.lookup_z_name(name, 1, 0)
	 if len(matches) == 0:
	    print "Det finns ingen som heter s."
	 elif len(matches)== 1:
	    print matches[0].conf_name()
	    cno = matches[0].conf_no()
	    password = self.getpassword()
	    if password == "":
	       print "Inget lsen angivet"
	    elif self.session.login(cno, password) == komxx.st_ok:
	       print "Vlkommen!"
	       return
	    else:
	       print "Felaktigt lsenord"
	 else:
	    print "Du kan mena ngon av dessa:"
	    nr = 1
	    for match in matches:
	       print " %3d" % nr, matches[nr-1].conf_name()
	       nr = nr + 1
	    number = raw_input("Ange nummer fr nskad person: ")
	    cno = matches[eval(number)-1].conf_no()
	    password = self.getpassword()
	    if password == "":
	       print "Inget lsen angivet"
	    elif self.session.login(cno, password) == komxx.st_ok:
	       print "Vlkommen!"
	       return
	    else:
	       print "Felaktigt lsenord"
   
   def echo_off(self):
      os.system("stty -echo")

   def echo_on(self):
      print
      os.system("stty echo")

   def getpassword(self):
      self.echo_off()
      try:
	 passwd = raw_input("Lsenord: ")
      finally:
	 self.echo_on()
      return passwd

   def toploop(self):
      print "Du r inne.  Du kan ha olsta i fljande mten:"
      while self.session.prefetch(0, 0, 0, 0, 20, 100, 20) == komxx.st_pending:
	 self.session.block(100)
      for m in self.session.confs_with_unread():
	 self.session.conf(m[0]).prefetch_name()
      for m in self.session.confs_with_unread():
	 if m[1] == m[2]:
	    i=`m[1]`
	 else:
	    i=`m[1]`+'-'+`m[2]`
	 print " %9s" % i, self.session.conf(m[0]).name()
      print "Tyvrr kan du inte anvnda den hr klienten fr att lsa dem."
      raw_input("[TRYCK RETURN]")
      t = self.session.text(4711)
      print "Text 4711 ser ut s hr:", t.subject()
      print t.body()
      sys.exit(0)

if __name__ == "__main__":
   s=demo_kom()
