#
# Makefile for libisc
#
# Copyright (c) 1992, 1993, 1994, 1996 Peter Eriksson and Per Cederqvist
#                     of the Lysator Academic Computer Association.
#


# Process this file with python to generate Makefile.in.

from pmg import *
m = komxxmakefile()

t = cc_lib_target("isc")

t.add("isc_event.o")
t.add("isc_session.o")
t.add("isc_abort.o")
t.add("isc_alloc.o")
t.add("isc_master.o")
t.add("isc_output.o")
t.add("isc_queue.o")
t.add("isc_message.o")
t.add("isc_handler.o")
t.add("isc_stdout.o")
t.add("isc_socket.o")
t.add("isc_tcp.o")
t.add("isc_udp.o")

m.add_target(t, "all")

m.emit()
