// Store a mapping from local to global text-numbers.
//
// $Id: Local2Global.h,v 1.5 1995/11/14 00:35:18 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_LOCAL2GLOBAL_H
#define KOMXX_LOCAL2GLOBAL_H

#include "kom-types.h"

class prot_a_LyStr;

class Local2Global {
  public:
    Local2Global();
    Local2Global(prot_a_LyStr& prot_a_str);
    Local2Global(const Local2Global&);
    Local2Global & operator=(const Local2Global&);
    ~Local2Global();

    Text_no &operator[] (Local_text_no lno) const;
    Local_text_no first() const;
    int size() const;
  private:
    Local_text_no f;
    int s;
    Text_no *t;
};

#endif
